

IF EXISTS (SELECT  * FROM SYS.TRIGGERS WHERE NAME = 'TRG_LINX_IO_PROD_TAG')
BEGIN
	DROP TRIGGER TRG_LINX_IO_PROD_TAG
END 
GO 

/*
=======================================================================================
'Nível Classificação.: INFORMAÇÃO RESTRITA
'Versão..............: 20220614 
'Job.................:  
'Nome................: TRG_LINX_IO_PROD_TAG
'Projeto............:  Commerce 
'Tabelas.............: 
'Dt Criação..........: 
'Dt Ult Alteracão....: 14/06/2022
'Alterado por........: Marcos Barros
'Criado por..........:    
'=======================================================================================
FARMAGOI-24164
*/
CREATE TRIGGER TRG_LINX_IO_PROD_TAG ON LINX_IO_PROD_TAG
FOR INSERT, UPDATE, DELETE 
AS
  DECLARE @CD_PROD INT
  DECLARE @CD_EMP INT

  IF EXISTS(SELECT TOP 1 CD_PROD FROM INSERTED)
  	SELECT @CD_PROD = CD_PROD, @CD_EMP = CD_EMP FROM INSERTED;
  ELSE
    SELECT @CD_PROD = CD_PROD, @CD_EMP = CD_EMP FROM DELETED;

  UPDATE EST_PROD SET  DT_ULT_ATU = GETDATE()
	WHERE CD_PROD = @CD_PROD AND CD_EMP = @CD_EMP

  UPDATE LINX_IO_PROD SET  DT_ULT_ATU = GETDATE()
  WHERE CD_PROD = @CD_PROD  AND CD_EMP = @CD_EMP